View Issue Details

IDProjectCategoryView StatusLast Update
0021718LazarusIDEpublic2012-04-15 20:21
ReporterVojtech Cihak Assigned ToJuha Manninen  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0021718: Missing acceleration keys and bad Tab order in dialogs
DescriptionSome dialogs has bad Tab order (test with Tab key or with Arrows). Also, there should be more &accel. keys on buttons (or other controls) - for those who prefer keybord.
Bad Tab order I saw on: Project Wizard, Image List Editor and Project Options.
Additional InformationLazarus is aiming to 1.0 so it needs some polishing :-)
TagsNo tags attached.
Fixed in Revisionr36755, r36777, r36780, r36781, r36782
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2012-04-13 19:30

developer   ~0058561

I improved Project Wizard and Image List Editor in r36755.

Which pages of Project Options have the problems?
Patches are also welcome. The errors are relatively easy to fix once you find them.

Vojtech Cihak

2012-04-13 19:44

reporter   ~0058562

@Which pages of Project Options have the problems?

They are many.

Application
Session
Version info
Miscellaneous
Build modes
Parsing
Code generations
Linking
Messages
Compilation

and the buttons down.

Juha Manninen

2012-04-14 22:07

developer   ~0058600

Please test.
If you find more similar errors you can either reopen this issue or create a new one.

Vojtech Cihak

2012-04-15 20:21

reporter   ~0058633

I tested with 36800. Thanks.

Issue History

Date Modified Username Field Change
2012-04-11 23:16 Vojtech Cihak New Issue
2012-04-12 05:59 Zeljan Rikalo Status new => assigned
2012-04-12 05:59 Zeljan Rikalo Assigned To => Juha Manninen
2012-04-13 19:30 Juha Manninen Note Added: 0058561
2012-04-13 19:44 Vojtech Cihak Note Added: 0058562
2012-04-14 22:07 Juha Manninen Fixed in Revision => r36755, r36777, r36780, r36781, r36782
2012-04-14 22:07 Juha Manninen LazTarget => -
2012-04-14 22:07 Juha Manninen Status assigned => resolved
2012-04-14 22:07 Juha Manninen Resolution open => fixed
2012-04-14 22:07 Juha Manninen Note Added: 0058600
2012-04-15 20:21 Vojtech Cihak Status resolved => closed
2012-04-15 20:21 Vojtech Cihak Note Added: 0058633